
Figure - Bug #117541
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT3】【遥控器】设备1在被顶掉控制权后，再次点击连接，无法夺回控制权
2023-04-17 20:02 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-17

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304170012

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0094.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-18

Test Type: ST Root cause: 遥控器不能在连接的时候夺取控制权引起的

Description

【前提条件】

1、两个手机、副屏处于同一局域网下

【测试步骤】

1、手机1连接遥控器

2、手机2连接遥控器

3、在手机1上点击连接

4、手机1上使用遥控器

【预期结果】

2、可正常使用

4、可正常使用

【实际结果】

2、可正常使用

4、不可使用

History

#1 - 2023-04-17 20:03 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117541

#2 - 2023-04-17 20:15 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【遥控器】设备1再被顶掉控制权后，再次点击连接，无法夺回控制权 to 【AF】【EVT3】【遥控器】设备1在被顶

掉控制权后，再次点击连接，无法夺回控制权

#3 - 2023-04-18 10:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194350 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117541


AF:RemoteControl: Client(iOS) - Fixed Control permisionTC-RID: 1201-0206003IssueID: TS-R-BUG-117541Change-Id:

I6996d3e2e3c048a9a76d11a9e0b8bfd16349f41a

#4 - 2023-04-18 14:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194341 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Fixed Control permisionTC-RID: 1201-0206001IssueID: TS-R-BUG-117541Change-Id:

If96ed6242ac48c0e6d72175431e48157ac3d0732

#5 - 2023-04-18 14:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194348 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Fixed Control permisionTC-RID: 1201-0206003IssueID: TS-R-BUG-117541Change-Id:

Id744a29aaebf39273163c1b61a546b7af68a059c

#6 - 2023-04-18 15:22 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

■ Current conclusion

bug已解决，提交已入库

■ My analysis

遥控器不能在连接的时候夺取控制权引起的

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/194350

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/194341

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/194348

#7 - 2023-04-18 15:23 - CD FW-程天颖

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-18

- Root cause set to 遥控器不能在连接的时候夺取控制权引起的

#8 - 2023-04-25 17:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0094.C103(X103)
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/194350
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/194341
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/194348


4.25

验证通过

#9 - 2023-04-25 17:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
